Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class drop_all_intentions

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.drop_all_intentions

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Direct Known Subclasses:
  drop_all_desires

    public class drop_all_intentions

extends DefaultInternalAction

Internal action: `.drop_all_intentions`.

Description: removes all intentions from the agent's set of intentions (even suspended intentions are removed). No event is produced.

This action changes the agent's circumstance structure by simply emptying the whole set of intentions (I), pending actions (PA), pending intentions (PI), and events in E that are not external events (thus generated by intentions).

Example:

- `.drop_all_intentions`.

See Also:
  `intend`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_intention`, `drop_desire`, `succeed_goal`, `fail_goal`, `current_intention`, `suspend`, `suspended`, `resume`, Serialized Form

Constructor Summary
`drop_all_intentions()`

Method Summary
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### drop_all_intentions

    public drop_all_intentions()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD